ZIP_ERROR_INIT(3)

NAME
zip_error_init, zip_error_init_with_code - initialize zip_error structure

LIBRARY
libzip (-lzip)

SYNOPSIS
zip.h void zip_error_init zip_error_t *error void zip_error_init_with_code zip_error_t *error int ze

DESCRIPTION
The zip_error_init function initializes the zip_error pointed to by error. *error must be allocated before calling zip_error_init.

The zip_error_init_with_code function does the same, but additionally sets the zip error code to ze and sets the system error code to the current errno(3) value, if appropriate.

SEE ALSO
libzip(3), zip_error_fini(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>